State
{
       StateName = "Cutscene01",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Nightsong01"},
                        FigureVanish	{Tag = "Dummy_Ghost01"},
                        FigureVanish	{Tag = "Dummy_Ghost02"},
                        FigureVanish	{Tag = "Dummy_Ghost03"},
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureLootItemEquipmentAdd {Tag = "Setchest06", ItemId = 993},
                        FigureLootItemEquipmentAdd {Tag = "Setchest07", ItemId = 997},
                        FigureLootItemEquipmentAdd {Tag = "Setchest04", ItemId = 983},
                        FigureLootItemEquipmentAdd {Tag = "Setchest05", ItemId = 987},
                        FigureLootItemEquipmentAdd {Tag = "Setchest03", ItemId = 974},
                        FigureLootItemEquipmentAdd {Tag = "Setchest03", ItemId = 976},
                        FigureLootItemEquipmentAdd {Tag = "Setchest02", ItemId = 975},
                        FigureLootItemEquipmentAdd {Tag = "Setchest01", ItemId = 973},
                        FigureLootItemEquipmentAdd {Tag = "Setchest08", ItemId = 977},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 136},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 137},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 146},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 147},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 140},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 142},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 134},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 133},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 138},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 145},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 26},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 24},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 28},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 20},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 34},
                },
        },


       OnOneTimeEvent	
       {
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Kor_01", Tag = "Sidequest_Kor", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_01", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_CSAskan_01", Tag = "CS_Sidequest_Askan", PlayTalkAnim = default},                                            
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce    {Tag = "CS_Sidequest_Askan", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"}, 
                        EffectStart	{Tag = "CS_Sidequest_Askan", File = "effect_death_resolve"},                                                       
                        EffectStart	{Tag = "Effect_CS_Falkmar", File = "effect_misc_spawnspecial_02"}, 
                        EffectStart	{Tag = "Effect_CS_Kor", File = "effect_misc_spawnspecial_02"},                     
                        EntityTimerStart {Name = "Kor_Falkmar_Teleport"},
                },				
        },
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Kor_Falkmar_Teleport", Seconds = 1},
		},
		Actions =
		{                                                                                              FigureVanish {Tag = "Sidequest_Falkmar"},
                        FigureVanish {Tag = "Sidequest_Kor"},  
                        EntityTimerStart {Name = "et_CStimer_04"},                     
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 2},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        CutsceneSay	{TextTag = "Sidequest_CSAskan_02", Tag = "CS_Sidequest_Askan", PlayTalkAnim = default},                                         
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 7},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                                                    EffectStart	{Tag = "Effect_CS_Askan", File = "effect_misc_spawnspecial_02"},
                        EntityTimerStart {Name = "Askan_Teleport"},
                },				
        },
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Askan_Teleport", Seconds = 1},
		},
		Actions =
		{                  
                        FigureVanish {Tag = "CS_Sidequest_Askan"},  
                        EntityTimerStart {Name = "et_CStimer_06"},                     
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 7},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},            
                },
                GotoState = "CutsceneTitan",				
        },
};

State
{
       StateName = "CutsceneTitan",

       OnOneTimeEvent	
       {
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 23, X = 381.2, Y = 299.5},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                   
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 14},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        AvatarXPGive	{Player = "pl_Human01", Amount = 24370},          
                },
                GotoState = "CutsceneTitanDead",				
        },
};

State
{
       StateName = "CutsceneTitanDead",

       OnOneTimeEvent	
       {
		Conditions =
		{
                        FigureIsDead {Tag = "Titan"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        CameraTrackPlay {},
                        ObjectSpawn	{ObjectId = 1432, X = 426.789, Y = 280.748, Direction = 0, Tag = "TheTeleporter01"},
                        FigureTeleport {Tag = "Sidequest_Statue", X = 383.974, Y = 299.233},
                        FigureTeleport {Tag = "Sidequest_Skeleton", X = 382.404, Y = 301.099},
                        FigureNpcSpawn	{Tag = "CS_Skeleton_01", Level = 1, UnitId = 81, X = 381.233, Y = 299.568, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "CS_Skeleton_02", Level = 1, UnitId = 81, X = 382.536, Y = 297.749, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "Sidequest_Statue", Direction = 90},
                        FigureLookAtDirection {Tag = "Sidequest_Skeleton", Direction = 90},
                        FigureLookAtDirection {Tag = "CS_Skeleton_01", Direction = 90},
                        FigureLookAtDirection {Tag = "CS_Skeleton_02", Direction = 90},
			CutsceneSay	{TextTag = "Sidequest_Statue_01", Tag = "Sidequest_Statue", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene12",	
        },
};

State
{
	StateName = "Cutscene12",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                              
                        EntityTimerStart {Name = "et3_CStimer_03"},         
		},	
		GotoState = "Cutscene14",	
        },
};

State
{
	StateName = "Cutscene14",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 8},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        MapFlagSetTrue {Name = "Titan_Over"},           
                },	
                GotoState = "CutsceneMalkuth",			
        },
};

State
{
       StateName = "CutsceneMalkuth",

       OnOneTimeEvent	
       {
		Conditions =
		{
                        MapFlagIsTrue {Name = "Titan_Over"},    
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 4, X = 374.105, Y = 599.223}, 
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
                        CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Nightsong", X = 378.481, Y = 595.62},
                        FigureLookAtDirection {Tag = "pl_Human01Nightsong", Direction = 90.7101},
			CutsceneSay	{TextTag = "Malkuth_01", Tag = "Malkuth", PlayTalkAnim = default},                   
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene15",	
        },
};

State
{
	StateName = "Cutscene15",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "pl_Human01Nightsong_01", Tag = "pl_Human01Nightsong", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_02"},         
		},	
		GotoState = "Cutscene16",	
        },
};

State
{
	StateName = "Cutscene16",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Malkuth_02", Tag = "Malkuth", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_03"},         
		},	
		GotoState = "Cutscene17",	
        },
};

State
{
	StateName = "Cutscene17",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Malkuth_03", Tag = "Malkuth", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_04"},         
		},	
		GotoState = "Cutscene18",	
        },
};

State
{
	StateName = "Cutscene18",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "pl_Human01Nightsong_02", Tag = "pl_Human01Nightsong", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_05"},         
		},	
		GotoState = "Cutscene19",	
        },
};

State
{
	StateName = "Cutscene19",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_Human02"},  
                        PlayerKitTransfer	{Player = "pl_Enemy", PlayerKit = "pk_Enemy"},  
                        PlayerKitTransfer	{Player = "pl_Enemy02", PlayerKit = "pk_kit2"}, 
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Shadow_Crystal01", Range = 12, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Tower_Faces01", Range = 12, Height = 100}, 
                        MapFlagSetTrue {Name = "Darkelves01"},           
                },
                GotoState = "AskanCutscene",		
        },
};

State
{
       StateName = "AskanCutscene",

       OnOneTimeEvent	
       {
		Conditions =
		{
                        MapFlagIsTrue {Name = "Last_War"},  
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 10, X = 479.711, Y = 84.9505}, 
                        FigureIsDead {Tag = "Forsaken01"},
                        FigureIsDead {Tag = "Forsaken02"},
                        FigureIsDead {Tag = "Forsaken03"},
                        FigureIsDead {Tag = "Forsaken04"},
                        FigureIsDead {Tag = "Forsaken05"},
                        FigureIsDead {Tag = "Forsaken06"},
                        FigureIsDead {Tag = "Forsaken07"},
                        FigureIsDead {Tag = "Forsaken08"},
                        FigureIsDead {Tag = "Forsaken09"},
                        FigureIsDead {Tag = "Forsaken10"},
                        FigureIsDead {Tag = "Forsaken11"},
                        FigureIsDead {Tag = "Forsaken12"},
                        FigureIsDead {Tag = "Forsaken13"},
                        FigureIsDead {Tag = "Forsaken14"},
                        FigureIsDead {Tag = "Forsaken15"},
                        FigureIsDead {Tag = "Forsaken16"},
                        FigureIsDead {Tag = "Forsaken17"},
                        FigureIsDead {Tag = "Forsaken18"},
                        FigureIsDead {Tag = "Forsaken19"},       
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
                        CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 402.992, Y = 101.286},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01HeroJared", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01HeroJared", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01HeroBor", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01HeroBor", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01HeroShae", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01HeroShae", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01CoopAssassin", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01CoopAssassin", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01HeroCaine", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01HeroCaine", Direction = 216.761},
                        FigureTeleport {Tag = "pl_Human01Nightsong", X = 407.207, Y = 92.4024},
                        FigureLookAtDirection {Tag = "pl_Human01Nightsong", Direction = 216.761},           
                        EntityTimerStart {Name = "et6_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et6_CStimer_02"},         
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Sidequest_Askan_01", Tag = "Sidequest_Askan", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et6_CStimer_03"},         
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},   
                        CutsceneSay	{TextTag = "Sidequest_Askan_02", Tag = "Sidequest_Askan", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et6_CStimer_04"},         
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_04", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Sidequest_Askan", Range = 25, Height = 100}, 
                        MapFlagSetTrue {Name = "Boss_Fight01"},           
                },
        },
};
