State
{
       StateName = "FirstActions",

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Falkmar02"},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 119},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 118},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 124},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 116},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 115},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 120},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 9},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 14},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 11},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 7},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 10},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 8},
			FigureHeroSpawnToEntity	{Player = "pl_Human01", Tag = "HeroBor", TargetTag = "pl_Human01Avatar", Direction = 0},   
		},			
        },
     
        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 14},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "Sidequest_Falkmar", X = 268.689, Y = 123.448},
                        FigureLookAtDirection {Tag = "Sidequest_Falkmar", Direction = 8.13013},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_01", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 7},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_02", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 11},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                     
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 5},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        EntityFlagSetTrue	{Name = "Cutscene_End_01"},
                        EntityTimerStart	{Name = "Bor_Says"},	
		},	
		GotoState = "Cutsceneendnow",
	},	
};

State
{
	StateName = "Cutsceneendnow",

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Cutscene_End_01"},
                        EntityTimerIsElapsed	{Name = "Bor_Says", Seconds = 5},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "HeroBor_01", Tag = "pl_Human01HeroBor"},
                        DialogSetDisabled	{Tag = "HeroBor"},
                },	
		GotoState = "CutsceneSecond",	
        },
};

State
{
	StateName = "CutsceneSecond",

        

	OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 8, X = 290.1, Y = 133.2},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},	
		},	
		GotoState = "CutsceneEnding",
	},	

        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 297.5, Y = 100.2},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},	
		},	
		GotoState = "CutsceneEnding",
	},	

        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 290.8, Y = 164.6},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},	
		},	
		GotoState = "CutsceneEnding",
	},	
};

State
{
	StateName = "CutsceneEnding",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 12},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},	
		},	
		GotoState = "CutsceneVillage",
	},	
};

State
{
	StateName = "CutsceneVillage",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 8, X = 443.6, Y = 152.1},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_03", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},
			CameraTrackPlay {},
			FigureNpcSpawn	{Tag = "Attacker_a", Level = 4, UnitId = 797, X = 446.625, Y = 145.16, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_b", Level = 4, UnitId = 797, X = 451.852, Y = 145.932, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_c", Level = 4, UnitId = 797, X = 457.364, Y = 146.224,  Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_d", Level = 3, UnitId = 797, X = 465.568, Y = 154.414,  Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_e", Level = 3, UnitId = 797, X = 468.217, Y = 157.621,  Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_f", Level = 3, UnitId = 797, X = 470.249, Y = 163.162,  Team = "tm_Enemy"},                    
                        EntityTimerStart {Name = "et3_CStimer"},	
		},	
		GotoState = "Cutscene06",
	},	
};

State
{
	StateName = "Cutscene06",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 12},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_04", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},
                        FigureTeleport {Tag = "Sidequest_Falkmar", X = 439.755, Y = 173.561},
                        FigureLookAtDirection {Tag = "Sidequest_Falkmar", Direction = 8.13013},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},	
		},	
		GotoState = "Cutscene07",
	},	
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 8},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "TheRealm"}, 
                        PlayerResourceSilverGive {Player = "pl_Human01", Amount = 500},
                        PlayerResourceLenyaGive {Player = "pl_Human01", Amount = 300},
                        PlayerResourceStoneGive {Player = "pl_Human01", Amount = 300},
	
		},	
		GotoState = "CutsceneGates",
	},	
};

State
{
	StateName = "CutsceneGates",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 10, TargetTag = "Gate01"},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_welcometofalcondeon", Tag = "default", TargetTag = "default"},                        
			CameraTrackPlay {},
			CutsceneSay	{TextTag = "Sidequest_Falkmar_05", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                           
                        EntityTimerStart {Name = "et7_CStimer"},	
		},	
		GotoState = "Cutscene30",
	},
};	

State
{
	StateName = "Cutscene30",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer", Seconds = 9},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},                        
			CameraTrackPlay {},
			CutsceneSay	{TextTag = "Sidequest_Scout_01", Tag = "Sidequest_Scout", PlayTalkAnim = default},                                  
                        EntityTimerStart {Name = "et7_CStimer_02"},	
		},	
		GotoState = "Cutscene31",
	},	
};

State
{
	StateName = "Cutscene31",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},                        
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "Gate03"},                                  
                        EntityTimerStart {Name = "et7_CStimer_03"},	
		},	
		GotoState = "Cutscene32",
	},	
};

State
{
	StateName = "Cutscene32",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive{Player = "pl_Human01", Amount = 1690},	
                        EntityTimerStart {Name = "Gates"},                        
		},	
	},

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Gates", Seconds = 15},
		},
		Actions =
		{
                       GateSetOpen   {Tag = "Gate01"},
                       GateSetOpen   {Tag = "Gate02"},                        
		},
                GotoState = "CutsceneCity",	
	},
};

State
{
	StateName = "CutsceneCity",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 12, TargetTag = "Cutscene_Tree"},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},                        
			CameraTrackPlay {},
			FigureNpcSpawn	{Tag = "Attacker_z", Level = 4, UnitId = 291, X = 499.736, Y = 536.265, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_d", Level = 4, UnitId = 292, X = 495.108, Y = 532.701, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_w", Level = 4, UnitId = 292, X = 503.945, Y = 533.253, Team = "tm_Enemy"},                                    
                        EntityTimerStart {Name = "et4_CStimer"},	
		},	
		GotoState = "Cutscene08",
	},	

        OnOneTimeEvent	
	{
		Conditions =
		{				
			PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 25, TargetTag = "Cutscene_Gates"},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},                        
			CameraTrackPlay {},
			FigureNpcSpawn	{Tag = "Attacker_z", Level = 4, UnitId = 291, X = 499.736, Y = 536.265, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_d", Level = 4, UnitId = 292, X = 495.108, Y = 532.701, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Attacker_w", Level = 4, UnitId = 292, X = 503.945, Y = 533.253, Team = "tm_Enemy"},                                    
                        EntityTimerStart {Name = "et4_CStimer"},	
		},	
		GotoState = "Cutscene08",
	},	
};

State
{
	StateName = "Cutscene08",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 12},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "CS_Guardian_01", Tag = "CS_Guardian", PlayTalkAnim = default},
                        CameraTrackPlay {},
                        FigureRun {Tag = "CS_Guardian", X = 498.679, Y = 526.274},
                        FigureLookAtDirection {Tag = "CS_Guardian", Direction = 2.84016},	        
                        EntityTimerStart {Name = "et4_CStimer_02"},	
		},	
		GotoState = "Cutscene09",
	},	
};

State
{
	StateName = "Cutscene09",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},                        
		},	
		GotoState = "CutsceneYlia",
	},	
};

State
{
	StateName = "CutsceneYlia",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Titan"},
		},
		Actions =
		{
                        CutsceneBegin	{File = "default"},                     
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "Sidequest_Falkmar", X = 258.637, Y = 475.482},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 255.85, Y = 475.636},
                        FigureLookAtDirection {Tag = "Sidequest_Falkmar", Direction = 256.868},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 130.817},     
                        FigureVanish {Tag = "CS_Vanish_orc01"},  
                        FigureVanish {Tag = "CS_Vanish_orc02"}, 
                        BuildingDestroy	{Tag = "CS_Vanish_Building_a"}, 
                        BuildingDestroy	{Tag = "CS_Vanish_Building_b"}, 
                        BuildingDestroy	{Tag = "CS_Vanish_Building_c"},  
                        BuildingDestroy	{Tag = "CS_Vanish_Building_d"}, 
                        BuildingDestroy	{Tag = "CS_Vanish_Building_e"},                  
                        EntityTimerStart {Name = "et5_CStimer"},
                        AvatarXPGive{Player = "pl_Human01", Amount = 2170 },	
		},	
		GotoState = "Cutscene10",
	},	
};

State
{
	StateName = "Cutscene10",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_02", Tag = "default", TargetTag = "default"},                        
                        CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_07", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                	
                        EntityTimerStart {Name = "et5_CStimer_02"},	
		},	
		GotoState = "Cutscene11",
	},	
};

State
{
	StateName = "Cutscene11",
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_08_Take_03", Tag = "default", TargetTag = "default"},                        
                        CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                	
                        EntityTimerStart {Name = "et5_CStimer_03"},	
		},	
		GotoState = "Cutscene12",
	},	
};

State
{
	StateName = "Cutscene12",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
		},	
		GotoState = "CutsceneEnd",
	},	
};

State
{
	StateName = "CutsceneEnd",
	
};