State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Thane01"},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 119},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 118},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 124},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 116},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 115},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 120},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 121},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 126},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 9},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 14},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 11},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 7},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 10},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 13},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 6},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 16},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Fire01", Range = 40, Height = 100},
                },
        },
    
        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 45.1197, Y = 57.0983},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 84.9805},         
                        CutsceneSay	{TextTag = "Skjadir_01", Tag = "Skjadir", PlayTalkAnim = default},           
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},          
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Skjadir_02", Tag = "Skjadir", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Skjadir_03", Tag = "Skjadir", PlayTalkAnim = default},                                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Skjadir_04", Tag = "Skjadir", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 7},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Cutscene01Over"}, 
                        FigureFollowEntity	{Tag = "Skjadir", TargetTag = "pl_Human01Avatar"},
                        FigureAbilityAdd	{Tag = "Skjadir", AbilityId = Ability.Immortal },
		},	
		GotoState = "Strategy01",	
        },
};

State
{
	StateName = "Strategy01",

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 404.459, Y = 136.902},
                        MapFlagIsTrue {Name = "Cutscene02Over"},
		},
		Actions=
		{
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_Human02"},  
                        PlayerResourceSilverGive {Player = "pl_Enemy", Amount = 3000},
                        PlayerResourceStoneGive {Player = "pl_Enemy", Amount = 3000},
                        PlayerResourceLenyaGive {Player = "pl_Clan02", Amount = 3000},
                        PlayerResourceSilverGive {Player = "pl_Clan02", Amount = 3000},
                        PlayerResourceStoneGive {Player = "pl_Clan02", Amount = 3000},
                        AvatarXPGive{Player = "pl_Human01", Amount = 3310},
                        MapFlagSetTrue {Name = "RealmIsAlive"},
		},
	},
};