State
{
	StateName= "Sidequest_Hermit",
	
------------------------------------
--Sidequest_Hermit, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Hermit"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 198.4, Y = 113.1},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Hermit_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Hermit_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Hermit_03", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Hermit_04", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Hermit_05", Tag = "default"},
			
                        EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Hermit"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Spider_a", DropChance = 100, ItemId = 19},
                        ObjectLootItemMiscAdd	{Tag = "Spider_b", DropChance = 100, ItemId = 19},
                        ObjectLootItemMiscAdd	{Tag = "Spider_c", DropChance = 100, ItemId = 19},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 198.4, Y = 113.1},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Hermit_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 198.4, Y = 113.1},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Hermit_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 198.4, Y = 113.1},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Hermit_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 19, Amount = 6},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Hermit"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Hermit"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 198.4, Y = 113.1},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 19, Amount = 6},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 19, Amount = 6},
			FigureOutcry	{TextTag = "Sidequest_Hermit_07", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Hermit_08", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Hermit_09", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 6000},
			DialogSetDisabled	{Tag = "Sidequest_Hermit"},
		},
	},
};