State
{
	StateName= "Sidequest_Mordecay",
	
------------------------------------
--Sidequest_Mordecay, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetMainQuest	{Tag = "Sidequest_Mordecay"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 160.7, Y = 220.8},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mordecay_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mordecay_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mordecay_03", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Mordecay_04", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Mordecay_05", Tag = "default"},
                        ObjectVanish	{Tag = "Mordecay_Cage01"},
			
                        EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Mordecay"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Malar_Loot", DropChance = 100, ItemId = 180},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 160.7, Y = 220.8},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mordecay_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 160.7, Y = 220.8},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mordecay_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 160.7, Y = 220.8},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mordecay_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 180, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Mordecay"},
			DialogTypeSetMainQuest	{Tag = "Sidequest_Mordecay"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 160.7, Y = 220.8},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 180, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 180, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Mordecay_07", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mordecay_08", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mordecay_09", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 21200},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 985, Amount = 1},
			DialogSetDisabled	{Tag = "Sidequest_Mordecay"},
		},
	},
};