State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {
                        FigureIsDead {Tag = "Titan"}, 
                },
                Actions =
                {
                        AvatarXPGive{Player = "pl_Human01", Amount = 2000 },
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        PlayerHeroAdd {Player = "pl_Human01", HeroId = 20},
			FigureHeroSpawnToEntity	{Player = "pl_Human01", Tag = "HeroJared", TargetTag = "Sidequest_Halicos", Direction = 180},
                        AvatarXPGive{Player = "pl_Human01", Amount = 280 },   
		},			
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 14},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Halicos_01", Tag = "Sidequest_Halicos", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_01", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                           
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 14},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Halicos_02", Tag = "Sidequest_Halicos", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};


State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Attacking01"},
		},	
		GotoState = "LastActions",
	},	
};

State
{
       StateName = "LastActions",

       OnOneTimeEvent
       {
                Conditions =
                {
                        FigureIsDead {Tag = "Titan"}, 
                },
                Actions =
                {
                        AvatarXPGive{Player = "pl_Human01", Amount = 2000 },
                },
        },
};