State
{
       StateName = "FirstActions",

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 119},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 118},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 126},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 125},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 123},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 124},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 116},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 115},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 120},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 121},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 9},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 14},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 13},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 6},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 15},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 12},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 8},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 11},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 7},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 16},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 10},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 11},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroShae", X = 53.6477, Y = 42.8843, Direction = 296},   
		},			
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                          
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Kor_01", Tag = "Sidequest_Kor", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayLooped    {Tag = "CS_Worker_a", File = "base/gfx/figures/fraction_2/figure_orc_worker_build.ska"},
                        FigureAnimPlayLooped    {Tag = "CS_Worker_b", File = "base/gfx/figures/fraction_2/figure_orc_worker_build.ska"},
                        FigureAnimPlayLooped    {Tag = "CS_Worker_c", File = "base/gfx/figures/fraction_2/figure_orc_worker_build.ska"},                                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "HeroShae_01", Tag = "pl_Human01HeroShae", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 7},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Custcene01Over"},
                        FigureVanish	{Tag = "CS_Worker_a"},
                        FigureVanish	{Tag = "CS_Worker_b"},
                        FigureVanish	{Tag = "CS_Worker_c"},	
		},
                GotoState = "LastActions",			
	},	
};

State
{
       StateName = "LastActions",

       OnOneTimeEvent
       {
                Conditions =
                {
                        FigureIsDead {Tag = "Titan"}, 
                },
                Actions =
                {
                        AvatarXPGive{Player = "pl_Human01", Amount = 10000},
                },
        },
};