State
{
	StateName= "New_Pact",
	
	OnOneTimeEvent
	{
		Conditions=
		{
                        AvatarHasItemMisc 	{Player = "pl_Human01", ItemId = 261, Amount = 1},
                        MapFlagIsTrue {Name = "Darkelves01"},   
                },
		Actions=
		{
			PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 139},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 144},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 38},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 32},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 18},
                        EntityFlagSetTrue	{Name = "Shadows_Owned"},
                },
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        AvatarHasItemMisc 	{Player = "pl_Human01", ItemId = 174, Amount = 1},
                        MapFlagIsTrue {Name = "Darkelves01"},   
                },
		Actions=
		{
			PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 141},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 143},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 30},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 22},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 36},
                        EntityFlagSetTrue	{Name = "Gargoyles_Owned"},
                },
	},

       OnOneTimeEvent	
       {
		Conditions =
		{
                        EntityFlagIsTrue	{Name = "Shadows_Owned"},
                        EntityFlagIsTrue	{Name = "Gargoyles_Owned"},
                        BuildingIsDead {Tag = "Tower_Faces01"},
                        BuildingIsDead {Tag = "Shadow_Crystal01"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Undead_Gate01"},  
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Last_War"}, 
                        AvatarXPGive	{Player = "pl_Human01", Amount = 50000},   
                },	
        },
};