State
{
	StateName= "Sidequest_General",
	
------------------------------------
--Sidequest_General, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_General"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 498.2, Y = 452.3},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_General_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_General_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_General_03", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_General_04", Tag = "default"},
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_General"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Sword", DropChance = 100, ItemId = 73},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 498.2, Y = 452.3},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_General_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 498.2, Y = 452.3},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_General_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 498.2, Y = 452.3},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_General_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 73, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_General"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_General"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 498.2, Y = 452.3},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 73, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 73, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_General_07", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_General_08", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 550},
			DialogSetDisabled	{Tag = "Sidequest_General"},
		},
	},
}; 