State
{
       StateName = "Snow_Gate01",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Falkmar01"},
                },		
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Enemy01"},
                        FigureIsDead {Tag = "Enemy02"},
                        FigureIsDead {Tag = "Enemy03"},
                        FigureIsDead {Tag = "Enemy04"},
                        FigureIsDead {Tag = "Enemy05"},
                        FigureIsDead {Tag = "Enemy06"},
                        FigureIsDead {Tag = "Enemy07"},
                        FigureIsDead {Tag = "Enemy08"},
                        FigureIsDead {Tag = "Enemy09"},
                        FigureIsDead {Tag = "Enemy10"},
                        BuildingIsDead {Tag = "Building01"},
                        BuildingIsDead {Tag = "Building02"},
                        MapFlagIsTrue {Name = "TheRealm"}, 
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_06", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},
                        FigureTeleport {Tag = "Sidequest_Falkmar", X = 269.194, Y = 358.539},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 267.123, Y = 355.651},
                        FigureLookAtDirection {Tag = "Sidequest_Falkmar", Direction = 319.893},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 113.628},    
                        EntityTimerStart {Name = "et10_CStimer"},
		},	
		GotoState = "Cutscene1",	
        },
};

State
{
	StateName = "Cutscene1",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et10_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et10_CStimer_02"},
		},	
		GotoState = "Cutscene2",	
        },
};

State
{
	StateName = "Cutscene2",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et10_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        GateSetOpen   {Tag = "Palisade01"},
                        GateSetOpen   {Tag = "Palisade02"},
                        MapFlagSetTrue {Name = "Glacier"},                 	
		},	
		GotoState = "OpenTheGates",
	},	
};

State
{
	StateName = "OpenTheGates",

        OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 8, X = 288.806, Y = 365.648},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 125, Amount = 1},
                        MapFlagIsTrue {Name = "Glacier"}, 
		},
		Actions=
		{
			GateSetOpen   {Tag = "Snow_Gate01"},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 125, Amount = 1},
                },
        },
};