State
{
       StateName = "Thane_Cutscene",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "RealmIsAlive"},
                        AvatarHasItemMisc 	{Player = "pl_Human01", ItemId = 119, Amount = 1},
                        AvatarHasItemMisc 	{Player = "pl_Human01", ItemId = 120, Amount = 1},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_01", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        DialogTypeSetMainQuest	{Tag = "Thane"},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Thane", Range = 10, Height = 100},
                        MapFlagSetTrue {Name = "Cutscene03Over"},
		},
                GotoState = "Thane_Cutscene02",
	},	
};

State
{
       StateName = "Thane_Cutscene02",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Cutscene03Over"},
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 448.081, Y = 286.468},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_02", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
       StateName = "Cutscene03",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_03", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
       StateName = "Cutscene04",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_04", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 119, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 120, Amount = 1},
                        GateSetOpen   {Tag = "Mine_Gate01"},  
                        DialogSetDisabled	{Tag = "Thane"},
                        MapFlagSetTrue {Name = "Mines01"},
		},
                GotoState = "MineCutscene01",	
	},	
};

State
{
       StateName = "MineCutscene01",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Mines01"},
                        FigureIsDead {Tag = "Clan01"},
                        FigureIsDead {Tag = "Clan02"},
                        FigureIsDead {Tag = "Clan03"},
                        FigureIsDead {Tag = "Clan04"},
                        FigureIsDead {Tag = "Clan05"},
                        FigureIsDead {Tag = "Clan06"},
                        FigureIsDead {Tag = "Clan07"},
                        FigureIsDead {Tag = "Clan08"}, 
                        FigureIsDead {Tag = "Clan09"},
                        FigureIsDead {Tag = "Clan10"},
                        FigureIsDead {Tag = "Clan11"},
                        FigureIsDead {Tag = "Clan12"},
                        FigureIsDead {Tag = "Clan13"},
                        FigureIsDead {Tag = "Clan14"},
                        FigureIsDead {Tag = "Clan15"},
                        FigureIsDead {Tag = "Sharduk"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "Thane", X = 358.285, Y = 485.392},
                        FigureLookAtDirection {Tag = "Thane", Direction = 44.8734},  
                        FigureNpcSpawn	{Tag = "aTroll01", Level = 7, UnitId = 296, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll02", Level = 7, UnitId = 296, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll03", Level = 7, UnitId = 296, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll04", Level = 7, UnitId = 296, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll05", Level = 8, UnitId = 297, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll06", Level = 8, UnitId = 297, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll07", Level = 8, UnitId = 298, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll08", Level = 8, UnitId = 298, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll09", Level = 8, UnitId = 298, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll10", Level = 7, UnitId = 298, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll11", Level = 7, UnitId = 298, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "aTroll12", Level = 7, UnitId = 296, X = 506.883, Y = 60.6086, Team = "tm_Enemy"},
                        CutsceneSay	{TextTag = "Thane_05", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
       StateName = "Cutscene06",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_06", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive{Player = "pl_Human01", Amount = 3970},
                        MapFlagSetTrue {Name = "TrollsAttack01"}, 
                        EntityTimerStart {Name = "Running01"},
		},
                GotoState = "Attack01Troll",
	},	
};

State
{
       StateName = "Attack01Troll",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "Running01", Seconds = 15},
                },
		Actions =
		{
                        FigureRun {Tag = "aTroll01", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll02", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll03", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll04", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll05", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll06", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll07", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll08", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll09", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll10", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll11", X = 404.459, Y = 136.902},
                        FigureRun {Tag = "aTroll12", X = 404.459, Y = 136.902},
		},
                GotoState = "TrollsAreDead01",
        },
};

State
{
       StateName = "TrollsAreDead01",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "TrollsAttack01"},
                        FigureIsDead {Tag = "aTroll01"},
                        FigureIsDead {Tag = "aTroll02"},
                        FigureIsDead {Tag = "aTroll03"},
                        FigureIsDead {Tag = "aTroll04"},
                        FigureIsDead {Tag = "aTroll05"},
                        FigureIsDead {Tag = "aTroll06"},
                        FigureIsDead {Tag = "aTroll07"},
                        FigureIsDead {Tag = "aTroll08"}, 
                        FigureIsDead {Tag = "aTroll09"},
                        FigureIsDead {Tag = "aTroll10"},
                        FigureIsDead {Tag = "aTroll11"},
                        FigureIsDead {Tag = "aTroll12"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_07", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et6_CStimer"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
       StateName = "Cutscene08",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "VulcanoGates"},
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene09",	
        },
};

State
{
       StateName = "Cutscene09",
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Thane_08", Tag = "Thane", PlayTalkAnim = default},
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "EnterVulcano"},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "VulcanoGates", Range = 12, Height = 100},
		},
	},	
};