State
{
       StateName = "Town_Cutscene",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                },
        },
    
        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsInRange	{Tag = "pl_Human01Avatar", Range = 8, X = 156.626, Y = 88.7223},
                        MapFlagIsTrue {Name = "Cutscene02"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureVanish	{Tag = "Dwarf01"},
                        FigureVanish	{Tag = "Dwarf02"},
                        FigureVanish	{Tag = "Dwarf03"},
                        FigureVanish	{Tag = "Dwarf04"},
                        FigureVanish	{Tag = "Dwarf05"},
                        FigureVanish	{Tag = "Dwarf06"},
                        FigureVanish	{Tag = "Dwarf07"},
                        FigureVanish	{Tag = "Dwarf08"},	
                        FigureVanish	{Tag = "Dwarf09"},
                        FigureVanish	{Tag = "Skjadir"},
                        GateSetOpen   {Tag = "Dwarven_Gates01"},  
                        GateSetOpen   {Tag = "Dwarven_Gates02"},  
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 181.051, Y = 131.708},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 245.409},    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},          
                        CutsceneSay	{TextTag = "Skjadir02_01", Tag = "Skjadir02", PlayTalkAnim = default},                                
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                     
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Skjadir02_02", Tag = "Skjadir02", PlayTalkAnim = default},                                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Skjadir02_03", Tag = "Skjadir02", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        MapFlagSetTrue {Name = "Cutscene02Over"},
		},
	},	
};