State
{
	StateName= "Sidequest_Lever",

        OnOneTimeLeverEvent
	{
		Lever = "Sidequest_Lever",
		
		OnConditions =
		{},
		Actions =
		{
			ObjectVanish	{Tag = "Dark_Gate"},
                        AvatarXPGive	{Player = "pl_Human01", Amount = 1200},
                        DialogTypeSetMainQuest	{Tag = "Assassin_Hero"},
                        EntityFlagSetTrue	{Name = "AssassinIsHero"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "AssassinIsHero"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 60.0684, Y = 293.438},
		},
		Actions=
		{
                        CutsceneBegin	{File = "default"},
                        FigureVanish	{Tag = "Assassin_Hero"},
                        ObjectVanish	{Tag = "Assassin_Cage"},
			PlayerHeroAdd	{Player = "pl_Human01", HeroId = Hero.CoopAssassin},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "CoopAssassin", X = 60.0684, Y = 293.438, Direction = 0},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "CoopAssassin_01", Tag = "CoopAssassin", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer"},
                },	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 7},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "CoopAssassin_02", Tag = "CoopAssassin", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene11",	
        },
};

State
{
	StateName = "Cutscene11",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 8},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},               	
		},          			
	},	
};
