State
{
       StateName = "FirstActions",

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce    {Tag = "Sidequest_Malacay", File = "base/gfx/figures/boss/figure_boss_sorvina_special_cutscene_cast.ska"},
                        EffectStart	{Tag = "Sidequest_Malacay", File = "effect_misc_sorvina_castresolve"},
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 14},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Malacay_01", Tag = "Sidequest_Malacay", PlayTalkAnim = default},                                            
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                            
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 12},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureRun {Tag = "Sidequest_Malacay", X = 101.944, Y = 137.277},                                            
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 12},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureLookAtDirection {Tag = "Sidequest_Falkmar", Direction = 199.572},
                        CutsceneSay	{TextTag = "Sidequest_Falkmar_01", Tag = "Sidequest_Falkmar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
	                FigureVanish {Tag = "Sidequest_Malacay"},
                },	
		GotoState = "CutsceneDemonKing",	
        },
};

State
{
	StateName = "CutsceneDemonKing",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 30, TargetTag = "Chest_Loot"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        BuildingDestroy	{Tag = "Building01"},
                        FigureVanish {Tag = "Demon01"},  
                        FigureVanish {Tag = "Demon02"},  
                        FigureVanish {Tag = "Demon03"},  
                        FigureRun {Tag = "Sidequest_Malacay02", X = 181.673, Y = 318.199}, 
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Dark_Gate"}, 
                        FigureLookAtDirection {Tag = "Sidequest_Malacay02", Direction = 188.113},
                        CutsceneSay	{TextTag = "Sidequest_Malacay02_01", Tag = "Sidequest_Malacay02", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et3_CStimer_02"},
                },	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureLookAtDirection {Tag = "Sidequest_Malacay02", Direction = 347.578},
                        CutsceneSay	{TextTag = "Sidequest_Statue_01", Tag = "Sidequest_Statue", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et3_CStimer_03"},
                },	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Malacay02_02", Tag = "Sidequest_Malacay02", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et3_CStimer_04"},
                },	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureAnimPlayOnce    {Tag = "Sidequest_Malacay02", File = "base/gfx/figures/boss/figure_boss_sorvina_special_cutscene_cast.ska"},
                        EffectStart	{Tag = "Sidequest_Malacay02", File = "effect_misc_sorvina_castresolve"},  
                        EffectStart	{Tag = "Sidequest_Statue", File = "effect_areapain_impact"}, 
                        EffectStart	{Tag = "Sidequest_Statue", File = "effect_lavacatapult_impact"},                                       
                        EntityTimerStart {Name = "StatueDestroy"},
                 },	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "StatueDestroy", Seconds = 1},
		},
		Actions =
		{           
                        ObjectSpawn	{ObjectId = 1429, X = 180.335, Y = 314.46, Direction = 0, Tag = "rock01"},
                        ObjectSpawn	{ObjectId = 1428, X = 180.03, Y = 313.633, Direction = 0, Tag = "rock02"},
                        ObjectSpawn	{ObjectId = 1428, X = 180.387, Y = 312.844, Direction = 0, Tag = "rock03"},
                        ObjectSpawn	{ObjectId = 1428, X = 181.298, Y = 312.544, Direction = 0, Tag = "rock04"},
                        ObjectSpawn	{ObjectId = 1427, X = 182.753, Y = 313.249, Direction = 0, Tag = "rock05"},
                        ObjectSpawn	{ObjectId = 1429, X = 182.515, Y = 314.001, Direction = 0, Tag = "rock06"},                                                                                   
                        ObjectVanish	{Tag = "Sidequest_Statue"}, 
                        EntityTimerStart {Name = "et3_CStimer_05"},                     
		},	
		GotoState = "Cutscene34",	
        },
};
                
State
{
	StateName = "Cutscene34",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 15},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
	                FigureVanish {Tag = "Sidequest_Malacay02"},
                        MapFlagSetTrue {Name = "Demon01"},                       
                },	
		GotoState = "LastActions",	
        },
};

State
{
       StateName = "LastActions",

       OnOneTimeEvent
       {
                Conditions =
                {
                        FigureIsDead {Tag = "Sidequest_Demon"}, 
                },
                Actions =
                {
                        AvatarXPGive{Player = "pl_Human01", Amount = 16500 },
                },
        },
};