State
{
	StateName= "Sidequest_Altar",
	
------------------------------------
--Sidequest_Altar, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 10, TargetTag = "Naugron"},
                },
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Altar"},
                        EntityFlagSetTrue	{Name = "Naugron_Dead"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
                        EntityFlagIsTrue	{Name = "Naugron_Dead"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 5, X = 243.8, Y = 76.6},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Altar_01", Tag = "default"},
                        FigureNpcSpawn	{Tag = "Sidequest_Titan", Level = 99, UnitId = 315, X = 174.6, Y = 148.3, Team = "tm_Human"},
			
                        DialogSetDisabled	{Tag = "Sidequest_Altar"},
                        EntityFlagSetTrue	{Name = "Cutscene_Titan"},
                },
	},

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityFlagIsTrue	{Name = "Cutscene_Titan"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 257.679, Y = 108.563},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 67.7918},
                        FigureTeleport {Tag = "pl_Human01Nightsong", X = 260.295, Y = 107.263},
                        FigureLookAtDirection {Tag = "pl_Human01Nightsong", Direction = 239.679},
			CameraTrackPlay {},                       
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene10",	
        },
};

State
{
	StateName = "Cutscene10",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 12},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Malacay_01", Tag = "Sidequest_Malacay", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene11",	
        },
};

State
{
	StateName = "Cutscene11",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Malacay_02", Tag = "Sidequest_Malacay", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene12",	
        },
};

State
{
	StateName = "Cutscene12",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 14},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Nightsong_01", Tag = "pl_Human01Nightsong", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene13",	
        },
};

State
{
	StateName = "Cutscene13",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene14",	
        },
};

State
{
	StateName = "Cutscene14",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                
                        EffectStart	{Tag = "Sidequest_Flink", File = "effect_misc_spawnspecial_02"},                     
                        EntityTimerStart {Name = "Sidequest_Flink_Teleport"},
                },				
        },
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Sidequest_Flink_Teleport", Seconds = 1},
		},
		Actions =
		{
                        FigureVanish {Tag = "Sidequest_Flink"},  
                        EntityTimerStart {Name = "et2_CStimer_06"},                     
		},	
		GotoState = "Cutscene15",	
        },
};

State
{
	StateName = "Cutscene15",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                          
                        EntityTimerStart {Name = "et2_CStimer_07"},
		},	
		GotoState = "Cutscene16",	
        },
};

State
{
	StateName = "Cutscene16",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_07", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},	               
                },				
        },
};